# Website pour Kpu

## LICENSE

Utilise [gohugo](https://github.com/gohugoio/hugo), sous license Apache 2.0 et le theme [Paperesque](https://github.com/capnfabs/paperesque) sous license MIT.

Tout droit réservé sur le reste du contenu.

Uses [gohugo](https://github.com/gohugoio/hugo), under Apache 2.0 and the theme [Paperesque](https://github.com/capnfabs/paperesque) under MIT.

All right reserved for the rest of the content.

## Tuto

### Un peu de blabla

Le site est un site *statique* (=> le server ne fait qu'envoyer des fichiers déjà existants).

Un server static envois des fichiers html/css/js/autre aux client, mais ici le contenu est décrit dans un language simple: le 'markdown' (fichier `.md`).

La conversion markdown vers html/css est faite par Hugo. En cas de problème, la documentation est [ici](https://gohugo.io/documentation/).

### Comment créer une page

Les fichiers dans le dossier `content` sont convertis et exposé par le server. Par exemple, `content/plop.md` devient `https://capucine.mineau.eu/plop/`. Les fichiers qui ne contiennent pas de markdown sont exposé tel quel. Par exemple, `content/plop.png` devient `https://capucine.mineau.eu/plop.png`.

Les pages fichiers peuvent être regroupé par dossiers qui seront reflété par le site: `content/plip/plop.png` devient `https://capucine.mineau.eu/plip/plop.png`. Le contenu de la page correspondant au dossier lui même (dans cet example, `https://capucine.mineau.eu/plip/`) est récupéré dans le fichier `_index.md`: `content/plip/_index.md` devient `https://capucine.mineau.eu/plip/`. Il peut être pratique d'utiliser cette méthode pour créer des pages parce que cela permet de regrouper les images et autre élément a insérer dans la page.

### Markdown

Le langage markdown est assez simple. A quelque détails prêt il suffit d'écrire normalement pour avoir du text.

Pour faire un retour à la ligne, il faut sauter deux lignes.

#### Titres

On peut écrire un titre en l'écrivant après un ou plusieurs `#`:

```
# Titre

## Titre sous-section

### Titre de sous-sous-section
```

#### Joli texte

On écrire en gras, italique, barré comme ca: 

```
Ecrire **en gras*, *en italique*, ~~barré~~
```


#### Liens et images 

Pour insérer un lien:

```
Cliquer [ici](https://capucine.mineau.eu/)
```

Pour insérer une image:

```
![Une description de l'image pour les malvoyants](https//capucine.mineau.eu/plip/plop.png)
```

Les lient peuvent être relatifs. C'est très pratique pour les images dans le même fichier que `_index.md`:

```
![Un plop remarquable](./plop.png)
```

Dans `content/plip/_index.md` affiche l'image `content/plip/plop.png` (Affiche `https://capucine.mineau.eu/plip/plop.png` a l'intérieur de `https://capucine.mineau.eu/plip/`.

#### Notes de bas de page

Pour rajouter une référence vers une note, dans le texte il faut ajouter `[^nom_de_la_note]`, et plus loin dans le document: `[^nom_de_la_note]: Ma note`

```
Les pinguoins[^rq1] c'est mignion.[^rq2]

[^rq1]: Tu ne confondras point les pingouines et les manchottes.
[^rq2]: J'ai pas d'idée de remarque.
```

#### Listes

Pour définir une liste:

```
- Un
- Deux
- Trois
- Soleil
```
